Bug 810649 - [abrt] evolution-data-server-3.4.0-1.fc17: g_str_hash: Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.4.0-1.fc17: g_str_hash: Process /usr/libexec/e...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:9b8132a30ff30ceb448848a3a75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 14:30 EDT by jj424
Modified: 2012-04-10 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 02:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.17 KB, text/plain)
2012-04-07 14:30 EDT, jj424
no flags Details
File: smolt_data (4.09 KB, text/plain)
2012-04-07 14:30 EDT, jj424
no flags Details
File: maps (34.32 KB, text/plain)
2012-04-07 14:30 EDT, jj424
no flags Details
File: dso_list (7.06 KB, text/plain)
2012-04-07 14:30 EDT, jj424
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 673817 None None None Never

  None (edit)
Description jj424 2012-04-07 14:30:22 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: g_str_hash
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.3.1-3.fc17.x86_64
pid:            1646
pwd:            /
remote_result:  NOTFOUND
time:           Sat 07 Apr 2012 11:09:33 AM PDT
uid:            1000
username:       jeff
var_log_messages: Apr  7 11:09:34 aphid abrt[2698]: Saved core dump of pid 1646 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-04-07-11:09:33-1646 (83009536 bytes)

backtrace:      Text file, 17584 bytes
dso_list:       Text file, 7228 bytes
maps:           Text file, 35147 bytes
smolt_data:     Text file, 4186 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:2dde8d6c37007d7d150788d9bed113d100c8182a
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:5f038f3fb1b1571769e7c9b79e025fe328052950
:bc85675c88776b497f5b8b4b287ed102e10d41a4
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:d8e9047097c904744a0c96768ebd987cbe48516f
:76027223dd5091efbc054ac58117f9a392798384
:03a3531257193c88ade30f23f9dc93545fa5397d
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:664ed02205756e404bd2c47242bfa068fe47d85d
:71dbf893ef1c9e6a3940f4d943c43717cde4f588
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:fb7f2c3c5c674d9b22a530c45ee9d45503ab7d0c
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:35d5cb7ae00118434736eab6ed96578e774a2335
:fa109822e1dfe3c97963318f0a110695ed11430d
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:3bef9ad685ab6a0ebf3fd5997efa2c39b5019fca
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:87046faa98078a9c2698a031c849cc4cbf33fa21
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:1ae3713cde85e9464ebaec5c8d774e8f57d7f8d4
:4504beabd434c4e335d484b890a6adf1f8d995f6
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d
:3b90e9eb7eb4b9a42802e5e7e6e8b5654778d553
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:b6d8ae928297ee8ba3938a1b939cef22b2e0e074
:84412c611d67c86ac370aea818f9a2e77fd003c4
:ba6fdfa908693eadbef7f50b919e386915317056
:f52d26743ca3b03ad1caf331c0a5538b39ff64a1
:350920b52e92655cdb258fa5f96fe7004ad07a52
:9946c7b0bf3af7df37669b44eb6d73e5f860a17c
:05c222263c9647f43e9cfafc75d2282e2a6f2894
:39a273bd0c20d49f4b286987967ba0fd8507e2de
:09cec0800fcb9bb5f15c7cd6070263888eb9e27b
:92a4af5e74d0085fafe46916e053873ef13fc345
:5ee96f4ab1b30c4fa284984fe3997d20ee028ec8
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:c756fce1a87ce76055da3ded2183973695db8979
:822e9b3523e8312240f41a25722d539bc77ed436
:8f1c8e7a9290087a1de608de917e41455f885af0
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:de9d746d45d902d903d4b8d873598850afc754e1
:d3619119ad0d25ba83ce046971658a86199deb1c
:39e058ce9f98b453b3390b1a92c962c0f8330b7f
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:34802c1181971f895e65241f113abe0d6fa07aa3
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:7c35310fc506498c612d5d982ab03becc4b4817c
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:9f49b69a9b3343181f6247e7d84f532e2dd08335
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:3808935f8105bd124594c36f68e7bf0139198f4e
:d804f8ee47797da9213a92f00cd095ecada8d79f
:f81bc25973e1e5b96a014f4d7ebeb70c9932c48d
:5da8d295014010dcaf44014dbeb291b3026af3e7
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:cb4516493f5305b467309dfcf813ae7da125ea47
:4a7ae055587473c6599cd50bd2f13ada6d616496
:904362a4a9286a24a4c21e319bd88a154eb6e651
:5ff1c46944f885545e872f1b19b2d15a1ee8f667
:0bafa291c5de1f2e2cfdd50c9b944d89587c4b00
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:5ae17e6dc1664a4a8e3d9a700ec1b357422aed36
:63b8b24e78f9956bfba3d0a95500d9a25e21d594
:1d5f935641e042c3fa98a1f1fdd86cfde42d4520
:8cf3e684e779b7979e9b46311f7e460fb3d9b036
:1df2138063f8eee89db95b8adf7749f09022d865
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:acc2532f6fbabc9f85d4970550167d7836446460

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jeff/2

core_backtrace:
:fa109822e1dfe3c97963318f0a110695ed11430d 0x38620 g_str_hash libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x37cb9 g_hash_table_lookup libglib-2.0.so.0 -
:2dde8d6c37007d7d150788d9bed113d100c8182a 0x536d - libebookbackendfile.so -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x144d8 g_object_unref libgobject-2.0.so.0 -
:acc2532f6fbabc9f85d4970550167d7836446460 0x1f642 - libedata-book-1.2.so.13 -
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d 0x144d8 g_object_unref libgobject-2.0.so.0 -
:acc2532f6fbabc9f85d4970550167d7836446460 0x20e59 - libedata-book-1.2.so.13 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x6ab12 - libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x6a315 - libglib-2.0.so.0 -
:70f10a584fcf32ef4994cc1bc209964515ad49c9 0x7d14 start_thread libpthread.so.0 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0xf194d clone libc.so.6 -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-LInusEsV3t,guid=cd07b4986b43fc7d8563a72b00000039
:XDG_RUNTIME_DIR=/run/user/jeff
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/jeff/keyring-Zj7zdj/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1258,unix/unix:/tmp/.ICE-unix/1258
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/jeff/keyring-Zj7zdj/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LInusEsV3t,guid=cd07b4986b43fc7d8563a72b00000039
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-jeff-Q2SCDy/database
:USER=jeff
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1256
:SHLVL=1
:PWD=/home/jeff
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/run/user/jeff/keyring-Zj7zdj
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=jeff
:HOME=/home/jeff

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 12673                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       12673                12673                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[21175]
:pos:	0
:flags:	04002
:7:socket:[21176]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/home/jeff/.local/share/evolution/addressbook/system/addressbook.db
:pos:	0
:flags:	02100002
:11:/home/jeff/.local/share/evolution/addressbook/system/log.0000000001
:pos:	28
:flags:	02100002
:12:/home/jeff/.local/share/evolution/addressbook/system/contacts.db
:pos:	40
:flags:	02100002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 jj424 2012-04-07 14:30:27 EDT
Created attachment 575955 [details]
File: backtrace
Comment 2 jj424 2012-04-07 14:30:28 EDT
Created attachment 575956 [details]
File: smolt_data
Comment 3 jj424 2012-04-07 14:30:30 EDT
Created attachment 575957 [details]
File: maps
Comment 4 jj424 2012-04-07 14:30:31 EDT
Created attachment 575958 [details]
File: dso_list
Comment 5 Milan Crha 2012-04-10 02:55:57 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=673817

Note You need to log in before you can comment on or make changes to this bug.